# LetterCDT::LetterCDTTestRunner Class Reference

It acts as a controller between render, logic and user interaction. It's executed by GlutWrapper::Window through GlutWrapper::IRunner interface. Also the right mouse menus are defined through GlutWrapper::IMenuListener (GetMenuEntries method). More...

`#include <LetterCDTTestRunner.h>`

Inheritance diagram for LetterCDT::LetterCDTTestRunner:

List of all members.

## Public Member Functions
| LetterCDTTestRunner (void)
| Constructor.
| ~LetterCDTTestRunner (void)
| Destructor.
void | InitializeOpengl (int width, int height)
| Creates opengl context and initialize some opengl states.
void | Run (void)
| It runs a step of the test. It renders the string points, segments or triangles (if they are enabled).
void | Reshape (int width, int height)
| It configs opengl with the new render window width and height.
void | ProcessMenuEvents (int option)
| It process the events sent from right button mouse menu. Depending on the event it calls logic methods.
const std::vector < GlutWrapper::MenuEntry > & | GetMenuEntries (void) const
| It gets the entries of the right button mouse menu.
void | ProcessNormalKeys (unsigned char key)
| It is called when a keyboard event is fired.

## Detailed Description

It acts as a controller between render, logic and user interaction. It's executed by GlutWrapper::Window through GlutWrapper::IRunner interface. Also the right mouse menus are defined through GlutWrapper::IMenuListener (GetMenuEntries method).

## Member Function Documentation

const std::vector< GlutWrapper::MenuEntry > & LetterCDTTestRunner::GetMenuEntries | ( | void |  | ) | const

It gets the entries of the right button mouse menu.

Returns:
  entries of the right button mouse menu.

See also:
  GlutWrapper::IMenuListener

void LetterCDTTestRunner::InitializeOpengl | ( | int | width,
|  | int | height |
| ) |  |  | `[virtual]`

Creates opengl context and initialize some opengl states.

Parameters:

  | width | render window width
  | height | render window height

See also:
  GlutWrapper::IRunner

Implements GlutWrapper::IRunner.

void LetterCDTTestRunner::ProcessMenuEvents | ( | int | option | ) | `[virtual]`

It process the events sent from right button mouse menu. Depending on the event it calls logic methods.

Parameters:

  | option | the menu option

See also:
  GlutWrapper::IMenuListener

Implements GlutWrapper::IMenuListener.

void LetterCDTTestRunner::ProcessNormalKeys | ( | unsigned char | key | ) | `[virtual]`

It is called when a keyboard event is fired.

Parameters:

  | key | the key code

Implements GlutWrapper::IKeyboardListener.

void LetterCDTTestRunner::Reshape | ( | int | width,
|  | int | height |
| ) |  |  | `[virtual]`

It configs opengl with the new render window width and height.

Parameters:

  | width | new render window width
  | height | new render window height

See also:
  GlutWrapper::IRunner

Implements GlutWrapper::IRunner.

void LetterCDTTestRunner::Run | ( | void |  | ) | `[virtual]`

It runs a step of the test. It renders the string points, segments or triangles (if they are enabled).

See also:
  GlutWrapper::IRunner

Implements GlutWrapper::IRunner.

The documentation for this class was generated from the following files:

- src/letterCdt/LetterCDTTestRunner.h
- src/letterCdt/LetterCDTTestRunner.cpp